<template>
  <div>
    <v-btn
      v-for="item in info"
      :key="item.icon"
      icon
      color="white"
      :href="item.link"
      target="_blank"
    >
      <i class="abi">si_{{ item.icon }}</i>
    </v-btn>
  </div>
</template>
<script>
export default {
  name: 'CompanySocial',
  data() {
    return {
      social: [
        { title: 'github' },
        { title: 'gitlab' },
        { title: 'twitter' },
        { title: 'youtube' },
        { title: 'facebook' },
      ],
      url: this.$i18n.t('socialIcon'),
      info: [],
    };
  },
  mounted() {
    this.readyIcon();
  },
  methods: {
    readyIcon() {
      this.url.find((element) => {
        this.social.forEach((i) => {
          if (element.includes(i.title)) {
            this.info.push({ link: element, icon: i.title });
          }
        });
      });
    },
  },
};
</script>
